Creates a new webhook subscription.
curl --request POST \
--url https://api.calendly.com/webhook_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
"invitee.created"
],
"organization": "<string>",
"scope": "user",
"user": "<string>",
"group": "<string>",
"signing_key": "<string>"
}
'{
"resource": {
"uri": "<string>",
"callback_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"retry_started_at": "2023-11-07T05:31:56Z",
"state": "active",
"events": [
"invitee.created"
],
"scope": "user",
"organization": "<string>",
"user": "<string>",
"group": "<string>",
"creator": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
invitee.created, invitee.canceled, invitee_no_show.created, invitee_no_show.deleted, routing_form_submission.created user, organization, group OK
Show child attributes
curl --request POST \
--url https://api.calendly.com/webhook_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
"invitee.created"
],
"organization": "<string>",
"scope": "user",
"user": "<string>",
"group": "<string>",
"signing_key": "<string>"
}
'{
"resource": {
"uri": "<string>",
"callback_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"retry_started_at": "2023-11-07T05:31:56Z",
"state": "active",
"events": [
"invitee.created"
],
"scope": "user",
"organization": "<string>",
"user": "<string>",
"group": "<string>",
"creator": "<string>"
}
}